# œ.js
## A JavaScript library similar to jQuery, that manipulates the DOM. By the way, this is my first JS library.
[![github muffins](https://img.shields.io/badge/Muffins-1-brightgreen.svg?style=flat)](https://github.com/RailRunner16/oe.js/blob/master)
___
[![GitHub version](https://badge.fury.io/gh/RailRunner16%2Foe.js.svg)](https://badge.fury.io/gh/RailRunner16%2Foe.js)
[![npm version](https://badge.fury.io/js/oe-like-jquery.svg)](https://badge.fury.io/js/oe-like-jquery)
[![npm](https://img.shields.io/npm/l/express.svg)](https://github.com/RailRunner16/oe.js/blob/add-license-1/LICENSE)
[![GitHub language count](https://img.shields.io/github/languages/count/badges/shields.svg)](https://github.com/RailRunner16/oe.js/blob/master)
[![GitHub top language](https://img.shields.io/github/languages/top/badges/shields.svg)](https://github.com/RailRunner16/oe.js/blob/master/œ.js)
___
### Selecting a DOM element:
`_œ()` is this library's equivalent to jQuery's `$()`. It can select elements by class name, id, or tag name:
> | # | Selector Type | Syntax              |
> |---|---------------|---------------------|
> | 1 | Tag Name      | `_œ("tagname")`     |
> | 2 | Class Name    | `_œ(".class-name")` |
> | 3 | ID            | `_œ("#id")`         |
___
### Functions:
- `show()`:
  - Displays a hidden DOM element. If the DOM element is visible already, it will do nothing.
  - Syntax:
    ```javascript
    _œ('selector').show();
    ```
- `hide()`:
  - Hides a visible DOM element. If the DOM element is already hidden, it will do nothing.
  - Syntax:
    ```javascript
    _œ('selector').hide();
    ```
- `click(callback)`:
  - Sets or returns the content of a given HTML element.
  - Syntax:
    ```javascript
    _œ('selector').click(function (){
      //code goes here
    });
    ```
- `on(event, callback)`:
  - This function gives the selected element(s) one or more event handlers. It will work on any element.
  - Syntax:
    ```javascript
    _œ('selector').on(event, function(){
      // Perform your operation here
    });
    ```
- `bgcolor(color)`:
  - This function sets the background of the selected element(s). It will not work on non visible components or components that have been hidden. It can process any type of color values that HTML can. (For example: RGB, RGBA, Hex values all work.)
  - Syntax:
    ```javascript
    _œ('selector').bgcolor(color);
    ```
- `val(newval)`:
  - This function sets the value of the selected element to the specified new value. It only works on elements with the `value` attribute.
  - Syntax
    ```javascript
    _œ('selector').val(new_value);
    ```
- `css(attr, value)`:
  - This function will change any CSS property of a given element. All you have to do is specify the property
and the new value.
  - Syntax:
    ```javascript
    _œ('selector').css(property, new-value);
    ```
- `size(width, height)`:
  - Changes the seiz of the selected element. Accepts two parameters: width and height.
  - Syntax:
    ```javascript
    _œ('selector').size(width, height);
    ```
- `click(callback)`:
  - This event handler function triggers when the specified object is cicked.
  - Syntax:
    ```javascript
    _œ('selector').click(function (){
      // Code goes here.
    });
    ```